### Method

# Vte Terminal get_termprop_flags

since: 0.82

#### Declaration [src]

    gboolean
    vte_terminal_get_termprop_flags (
      VteTerminal* terminal,
      const char* prop,
      GType gtype,
      gboolean ignore_unknown_flags,
      uint64_t* valuep
    )

#### Description [src]

See `vte_properties_get_property_flags()` for more information.

Available since: 0.82

#### Parameters

`prop`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`gtype`

  Type: `GType`

  A `GType` of a flags type.

`ignore_unknown_flags`

  Type: `gboolean`

  Whether to ignore unknown flags.

`valuep`

  Type: `uint64_t*`

  A location to store the value, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` iff the property was set and could be parsed a a value of the flags type.